void max (pfloat -w max, float array[], int length)
      if (length > 0)
{
  *max = array[0];

  for (i = 0; i < length; i ++)
  {
    if (array[i] > *max) *max = array[i];
  }
}

void max (pfloat max, float array[], int length)
{
  error (ERR_PARAMETER);
}
